require 'forwardable'
require 'uri'
require 'curb'
require 'nokogiri'
require 'gd2-ffij'

module Seep
  require 'seep/fetcher'
  require 'seep/doc'
  require 'seep/image'

  def self.fetch(*args)
    Fetcher.open(*args)
  end

  def self.doc(*args)
    fetch(*args).to_doc
  end
end
