class Seep::Image
  extend Forwardable

  attr_reader :image
  def_delegators :image, :size, :width, :height
  alias_method   :dimensions, :size

  def initialize(data)
    @valid = begin
      @image = GD2::Image.load( data ); true
    rescue
      false
    end
  end

  def valid?; @valid; end

end
